RealmCallback (Java Platform SE 8 )
Keywords: javax.security.sasl.RealmCallback class
Date: 2026-08-19

compact3
javax.security.sasl

## Class RealmCallback

- java.lang.Object
- - javax.security.auth.callback.TextInputCallback
  - - javax.security.sasl.RealmCallback

- All Implemented Interfaces:
    Serializable, Callback

      public class RealmCallback
      extends TextInputCallback

  This callback is used by `SaslClient` and `SaslServer` to retrieve realm information.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmCallback(String prompt)` Constructs a `RealmCallback` with a prompt.
    `RealmCallback(String prompt, String defaultRealmInfo)` Constructs a `RealmCallback` with a prompt and default realm information.

  - ### Method Summary

    - ### Methods inherited from class javax.security.auth.callback.TextInputCallback

      `getDefaultText, getPrompt, getText, setText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RealmCallback

          public RealmCallback(String prompt)

      Constructs a `RealmCallback` with a prompt.
      Parameters:
        `prompt` - The non-null prompt to use to request the realm information.
      Throws:
        `IllegalArgumentException` - If `prompt` is null or the empty string.

    - #### RealmCallback

          public RealmCallback(String prompt,
                               String defaultRealmInfo)

      Constructs a `RealmCallback` with a prompt and default realm information.
      Parameters:
        `prompt` - The non-null prompt to use to request the realm information.
        `defaultRealmInfo` - The non-null default realm information to use.
      Throws:
        `IllegalArgumentException` - If `prompt` is null or the empty string, or if `defaultRealm` is empty or null.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.